package imagebordersample;

import javafx.application.Application;
import javafx.event.EventHandler;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.control.PasswordField;
import javafx.scene.input.MouseEvent;
import javafx.stage.Stage;

/**
 *
 * @author andrey
 */
public class BackgroundSample extends Application {

    /**
     * @param args the command line arguments
     */
    private Scene scene;
    private Group content;
    private static String greenRect =  BackgroundSample.class.getResource("green-rectangle.png").toExternalForm();
    private static String redRect =  BackgroundSample.class.getResource("red-rectangle.png").toExternalForm();

    public static void main(String[] args) {
        launch(null);
    }

    @Override
    public void start(Stage stage) throws Exception {
        stage.setScene(scene = new Scene(content = new Group(), 500, 500));
        stage.centerOnScreen();
        stage.show();

        final PasswordField label = new PasswordField();
        label.setPromptText("Enter password\n enter password");
       
        label.setStyle("-fx-border-color:green;"
                + "-fx-background-image: url(\"" + redRect + "\")"
                + ", url(\"" + greenRect + "\");"
                + "-fx-background-repeat: space, no-repeat;"
                + "-fx-background-position: left, left center;"
                );
        label.setOnMouseDragged(new EventHandler<MouseEvent>(){

            public void handle(MouseEvent t) {
                label.setPrefWidth(t.getX());
                label.setPrefHeight(t.getY());
            }
        });
        content.getChildren().add(label);
    }
}
